org.apache.ignite.spi.tracing

## Class NoopTracingSpi

- java.lang.Object
- - org.apache.ignite.spi.IgniteSpiAdapter
  - - org.apache.ignite.spi.tracing.NoopTracingSpi

- All Implemented Interfaces:
    IgniteSpi, TracingSpi<NoopSpiSpecificSpan>

      @IgniteSpiNoop
       @IgniteSpiMultipleInstancesSupport(value=true)
       @IgniteSpiConsistencyChecked(optional=true)
      public class NoopTracingSpi
      extends IgniteSpiAdapter
      implements TracingSpi<NoopSpiSpecificSpan>

  Noop and null-safe implementation of Tracing SPI.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.spi.IgniteSpiAdapter

      `ignite, igniteInstanceName, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopTracingSpi()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NoopSpiSpecificSpan` | `create(@NotNull String name, @Nullable byte[] serializedSpan)` Creates Span given name and explicit parent.
    `@NotNull NoopSpiSpecificSpan` | `create(@NotNull String name, @Nullable NoopSpiSpecificSpan parentSpan)` Creates Span given name and explicit parent.
    `byte[]` | `serialize(@NotNull NoopSpiSpecificSpan span)` Serializes span to byte array to send context over network.
    `void` | `spiStart(String igniteInstanceName)` This method is called to start SPI.
    `void` | `spiStop()` This method is called to stop SPI.
    `byte` | `type()`

    - ### Methods inherited from class org.apache.ignite.spi.IgniteSpiAdapter

      `addTimeoutObject, assertParameter, checkConfigurationConsistency0, clientFailureDetectionTimeout, configInfo, createSpiAttributeName, failureDetectionTimeout, failureDetectionTimeoutEnabled, failureDetectionTimeoutEnabled, getConsistentAttributeNames, getExceptionRegistry, getLocalNode, getName, getNodeAttributes, getSpiContext, ignite, initFailureDetectionTimeout, injectables, injectResources, isNodeStopping, onBeforeStart, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextDestroyed0, onContextInitialized, onContextInitialized0, registerMBean, removeTimeoutObject, setName, started, startInfo, startStopwatch, stopInfo, unregisterMBean`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.spi.IgniteSpi

      `getName, getNodeAttributes, onClientDisconnected, onClientReconnected, onContextDestroyed, onContextInitialized`

- - ### Constructor Detail

    - #### NoopTracingSpi

          public NoopTracingSpi()

  - ### Method Detail

    - #### create

          public NoopSpiSpecificSpan create(@NotNull
                                            @NotNull String name,
                                            @Nullable
                                            @Nullable byte[] serializedSpan)

      Creates Span given name and explicit parent.
      Specified by:
        `create` in interface `TracingSpi<NoopSpiSpecificSpan>`
      Parameters:
        `name` - Name of span to create.
        `serializedSpan` - Parent span as serialized bytes.
      Returns:
        Created span.

    - #### create

          @NotNull
          public @NotNull NoopSpiSpecificSpan create(@NotNull
                                                              @NotNull String name,
                                                              @Nullable
                                                              @Nullable NoopSpiSpecificSpan parentSpan)

      Creates Span given name and explicit parent.
      Specified by:
        `create` in interface `TracingSpi<NoopSpiSpecificSpan>`
      Parameters:
        `name` - Name of span to create.
        `parentSpan` - Parent span.
      Returns:
        Span instance.

    - #### serialize

          public byte[] serialize(@NotNull
                                  @NotNull NoopSpiSpecificSpan span)

      Serializes span to byte array to send context over network.
      Specified by:
        `serialize` in interface `TracingSpi<NoopSpiSpecificSpan>`
      Parameters:
        `span` - Span.
      Returns:
        Span instance.

    - #### spiStart

          public void spiStart(String igniteInstanceName)
                        throws IgniteSpiException

      This method is called to start SPI. After this method returns successfully kernel assumes that SPI is fully operational.
      Specified by:
        `spiStart` in interface `IgniteSpi`
      Parameters:
        `igniteInstanceName` - Name of Ignite instance this SPI is being started for (`null` for default Ignite instance).
      Throws:
        `IgniteSpiException` - Throws in case of any error during SPI start.

    - #### spiStop

          public void spiStop()
                       throws IgniteSpiException

      This method is called to stop SPI. After this method returns kernel assumes that this SPI is finished and all resources acquired by it are released.

      Note that this method can be called at any point including during recovery of failed start. It should make no assumptions on what state SPI will be in when this method is called.

      Specified by:
        `spiStop` in interface `IgniteSpi`
      Throws:
        `IgniteSpiException` - Thrown in case of any error during SPI stop.

    - #### type

          public byte type()

      Specified by:
        `type` in interface `TracingSpi<NoopSpiSpecificSpan>`
      Returns:
        type of tracing spi as byte.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023